-- First, we create a namespace for our addon by declaring a top-level table that will hold everything else.
CKB = {}
 
-- This isn't strictly necessary, but we'll use this string later when registering events.
-- Better to define it in a single place rather than retyping the same string.
CKB.name = "CKB"

local CollectibleList = {

	["Unia Herbstweide"] = { 
		[1] = 287,   -- Zweiteiler
		[2] = 5216,  -- Sonderermittler
		[3] = 1231,  -- Hüterkleidung
	},

	["Kuna Winterstätte"] = { 
		[1] = 49,    -- Goldene Heilige
		[2] = 1419,  -- Zweiteiler II
		[3] = 1249,  -- Morag Tong
	},
	
	["Andralina Direnni"] = { 
		[1] = 1179,  -- Ensemble vornehmer Wappenträger
		[2] = 138,   -- Heldenrüstung
		[3] = 5216,  -- Rachetag-Kleid
	},
	
	["Bonnadea"] = { 
		[1] = 286,   -- Arbeitskleidung
		[2] = 194,   -- Reitkleidung
		[3] = 586,   -- Schamane
	},
}

function CKB.useCollectible(collectibleKey)
local characterName = zo_strformat(GetUnitName('player'))
local data = CollectibleList[characterName]
if nil == data then return end
local collectibleId = data[collectibleKey]
if nil == collectibleId then return end 
UseCollectible(tonumber(collectibleId))
end

-- Next we create a function that will initialize our addon
function CKB:Initialize()
  -- ...but we don't have anything to initialize yet. We'll come back to this.
end
 
-- Then we create an event handler function which will be called when the "addon loaded" event
-- occurs. We'll use this to initialize our addon after all of its resources are fully loaded.
function CKB.OnAddOnLoaded(event, addonName)
  -- The event fires each time *any* addon loads - but we only care about when our own addon loads.
  if addonName == CKB.name then
    CKB:Initialize()
  end
end
 
-- Finally, we'll register our event handler function to be called when the proper event occurs.
EVENT_MANAGER:RegisterForEvent(CKB.name, EVENT_ADD_ON_LOADED, CKB.OnAddOnLoaded)

ZO_CreateStringId("SI_BINDING_NAME_CKB1", "1. Kostüm")
ZO_CreateStringId("SI_BINDING_NAME_CKB2", "2. Kostüm")
ZO_CreateStringId("SI_BINDING_NAME_CKB3", "3. Kostüm")
